package com.gingersoft.gsa.cloud.download.mvp.model.bean;

import com.gingersoft.gsa.cloud.database.bean.Function;

import java.util.List;

/**
 * 作者：ELEGANT_BIN
 * 版本：1.6.0
 * 创建日期：2019-12-28
 * 修订历史：2019-12-28
 * 描述：
 */
public class FunctionRespone {


    /**
     * success : true
     * sysTime : 1578629556190
     * data : [{"id":3815,"status":1,"effectiveTime":1598328927655,"resName":"GSA功能一號","resUrl":"www.baidu.com","imageURL":"https://hktest.ricepon.com:64377/ricepon-web/images/fantuan.png"},{"id":3816,"status":0,"resName":"GSA功能二號","resUrl":"www.baidu.com","imageURL":"https://hktest.ricepon.com:64377/ricepon-web/images/fantuan.png"}]
     */

    private boolean success;
    private String errMsg;
    private long sysTime;
    private List<Function> data;

    public boolean isSuccess() {
        return success;
    }

    public void setSuccess(boolean success) {
        this.success = success;
    }

    public String getErrMsg() {
        return errMsg;
    }

    public void setErrMsg(String errMsg) {
        this.errMsg = errMsg;
    }

    public long getSysTime() {
        return sysTime;
    }

    public void setSysTime(long sysTime) {
        this.sysTime = sysTime;
    }

    public List<Function> getData() {
        return data;
    }

    public void setData(List<Function> data) {
        this.data = data;
    }

    public static class DataBean {
        /**
         * id : 3815
         * status : 1
         * effectiveTime : 1598328927655
         * resName : GSA功能一號
         * resUrl : www.baidu.com
         * imageURL : https://hktest.ricepon.com:64377/ricepon-web/images/fantuan.png
         */

        private int id;
        private int status;
        private long effectiveTime;
        private String resName;
        private String resUrl;
        private String imageURL;

        public int getId() {
            return id;
        }

        public void setId(int id) {
            this.id = id;
        }

        public int getStatus() {
            return status;
        }

        public void setStatus(int status) {
            this.status = status;
        }

        public long getEffectiveTime() {
            return effectiveTime;
        }

        public void setEffectiveTime(long effectiveTime) {
            this.effectiveTime = effectiveTime;
        }

        public String getResName() {
            return resName;
        }

        public void setResName(String resName) {
            this.resName = resName;
        }

        public String getResUrl() {
            return resUrl;
        }

        public void setResUrl(String resUrl) {
            this.resUrl = resUrl;
        }

        public String getImageURL() {
            return imageURL;
        }

        public void setImageURL(String imageURL) {
            this.imageURL = imageURL;
        }
    }
}
